# Generated from xcode-utils-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xcode-utils

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: Xcode utils
License: MIT
URL: https://git.linecorp.com/abc/xcode-utils.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(claide) >= 0.9.1
# BuildRequires: rubygem(claide) < 1.1.0
# BuildRequires: rubygem(xcodeproj) >= 1.18.0
# BuildRequires: rubygem(xcodeproj) < 2.0
# BuildRequires: rubygem(plist) >= 3.5.0
# BuildRequires: rubygem(plist) < 4.0
# BuildRequires: rubygem(nokogiri) >= 1.10.10
# BuildRequires: rubygem(nokogiri) < 2.0
BuildArch: noarch

%description
Xcode utils provides uitest and carthage proxy.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/xcutils
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sh
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.6-1
- Initial package
